/* --- LIBRARIES --- */
#include <Servo.h>
#include <MK2.h>

int stepperMax = 3600;

//Arms
StepperMotor leftArm(A3,A2,A4,stepperMax);
StepperMotor rightArm(A6,A5,A7,stepperMax);

//Fans
Fans fans(A1);

/* ----- SETUP ----- */
void setup() {
  //set arms to zero position
  leftArm.initialize();
  rightArm.initialize();
  //leftArm.home();
  //rightArm.home();
  leftArm.stepTo(3600); 
  rightArm.stepTo(3600); 
  //turn fans on
  fans.initialize();
  fans.on();
}

/* --- MAIN lOOP --- */
void loop() {
  //Move right arm up and down
  if (leftArm.getPos() == 0) { leftArm.stepTo(stepperMax); }
  if (leftArm.getPos() == stepperMax) { leftArm.stepTo(0); }
  leftArm.update();
  
  //Move right arm up and down
  if (rightArm.getPos() == 0) { rightArm.stepTo(stepperMax); }
  if (rightArm.getPos() == stepperMax) { rightArm.stepTo(0); }
  rightArm.update();  
}

