/* --- LIBRARIES --- */
#include <Servo.h>
#include <MK2.h>

//Left Grippers
ServoMotor L1(22);
ServoMotor L2(24);
ServoMotor L3(30);
ServoMotor L4(32);
ServoMotor L5(34);
ServoMotor L6(36);
//Right Grippers
ServoMotor R1(38);
ServoMotor R2(40);
ServoMotor R3(46);
ServoMotor R4(48);
ServoMotor R5(50);
ServoMotor R6(52);

//Fans
Fans fans(A1);

/* ----- SETUP ----- */
void setup() {
  //Left Servos On
  L1.on();
  L2.on();
  L3.on();
  L4.on();
  L5.on();
  L6.on();
  //Right Servos On
  R1.on();
  R2.on();
  R3.on();
  R4.on();
  R5.on();
  R6.on();
  //Fans on
  fans.initialize();
  fans.on();
}

/* --- MAIN lOOP --- */
void loop() {
  //---Left Servos---//
  
  //if at zero, go to end
  if (L1.getPos() == 0) { L1.rotateTo(180); }
  if (L2.getPos() == 0) { L2.rotateTo(180); }
  if (L3.getPos() == 0) { L3.rotateTo(180); }
  if (L4.getPos() == 0) { L4.rotateTo(180); }
  if (L5.getPos() == 0) { L5.rotateTo(180); }
  if (L6.getPos() == 0) { L5.rotateTo(180); }
  //if at end, go to zero
  if (L1.getPos() == 180) { L1.rotateTo(0); }
  if (L2.getPos() == 180) { L2.rotateTo(0); }
  if (L3.getPos() == 180) { L3.rotateTo(0); }
  if (L4.getPos() == 180) { L4.rotateTo(0); }
  if (L5.getPos() == 180) { L5.rotateTo(0); }
  if (L6.getPos() == 0) { L5.rotateTo(180); }
  //update servo
  L1.update();
  L2.update();
  L3.update();
  L4.update();
  L5.update();
  L6.update();
  
  //---Right Servos---//
  
  //if at zero, go to end
  if (R1.getPos() == 0) { R1.rotateTo(180); }
  if (R2.getPos() == 0) { R2.rotateTo(180); }
  if (R3.getPos() == 0) { R3.rotateTo(180); }
  if (R4.getPos() == 0) { R4.rotateTo(180); }
  if (R5.getPos() == 0) { R5.rotateTo(180); }
  if (R6.getPos() == 0) { R5.rotateTo(180); }
  //if at end, go to zero
  if (R1.getPos() == 180) { R1.rotateTo(0); }
  if (R2.getPos() == 180) { R2.rotateTo(0); }
  if (R3.getPos() == 180) { R3.rotateTo(0); }
  if (R4.getPos() == 180) { R4.rotateTo(0); }
  if (R5.getPos() == 180) { R5.rotateTo(0); }
  if (R6.getPos() == 180) { R5.rotateTo(0); }
  //update servo
  R1.update();
  R2.update();
  R3.update();
  R4.update();
  R5.update();
  R6.update();
}



