/* --- LIBRARIES --- */
#include <Servo.h>
#include <MK2.h>

//RangeFinders
RangeFinder upperLeft(7,6);
RangeFinder upperRight(13,12);

//Fans
Fans fans(A1);

//USB Data Variables
String USBStr = "";
int toUSBData[2] = { 0,0 }; //upperLeftRF, upperRightRF;
int USBIndex = 0;
char USBChr = ' ';

/* ----- SETUP ----- */
void setup() {
  //Begin USB Serial
  Serial.begin(57600);
  //turn fans on
  fans.initialize();
  fans.on();
  //Turn RangeFinders on
  upperLeft.initialize();
  upperRight.initialize();
}

/* --- MAIN lOOP --- */
void loop() { 
  //Send Rangefinder data
  toUSBData[0] = upperLeft.getRange();
  toUSBData[1] = upperRight.getRange();
  sendData(toUSBData, 2);
}

//Sends data
void sendData(int data[], int dataLen) {
  String toStr = "";
  if(dataLen == 1) {
    toStr = "{ " + String(data[0]) + " }\n";
  } else if (dataLen > 1) {
    toStr = "{ ";
    for(int i= 0; i < dataLen; i++) { 
      toStr += String(data[i]); 
      if(i < dataLen-1) { toStr += ", "; }
    }
    toStr += " }\n";
  }
  Serial.print(toStr);
}

