/* --- LIBRARIES --- */
#include <Servo.h>
#include <MK2.h>

//Shoulders
ServoMotor leftShoulder(22,true);
ServoMotor rightShoulder(38);
//Fans
Fans fans(A1);

/* ----- SETUP ----- */
void setup() {
  //Turn shoulders on
  leftShoulder.on();
  rightShoulder.on();
  //Fans on
  fans.initialize();
  fans.on();
}

/* --- MAIN lOOP --- */
void loop() {
  //if at zero, go to end
  if (leftShoulder.getPos() == 0) { leftShoulder.rotateTo(180); }
  if (rightShoulder.getPos() == 0) { rightShoulder.rotateTo(180); }
  //if at end, go to zero
  if (leftShoulder.getPos() == 180) { leftShoulder.rotateTo(0); }
  if (rightShoulder.getPos() == 180) { rightShoulder.rotateTo(0); }
  //update servos
  leftShoulder.update();
  rightShoulder.update();
}

