/* --- LIBRARIES --- */
#include <Servo.h>
#include <MK2.h>

//Voltmeter
Voltmeter voltmeter(A0);

//Fans
Fans fans(A1);

//USB Data Variables
String USBStr = "";
int toUSBData[1] = { 0 }; //voltage;
int USBIndex = 0;
char USBChr = ' ';

/* ----- SETUP ----- */
void setup() {
  //Begin USB Serial
  Serial.begin(57600);
  //initialize voltmeter
  voltmeter.initialize();
  //turn fans on
  fans.initialize();
  fans.on();
}

/* --- MAIN lOOP --- */
void loop() {
  //Send Voltmeter data
  toUSBData[0] = voltmeter.voltage();
  sendData(toUSBData, 1);
}

//Sends data
void sendData(int data[], int dataLen) {
  String toStr = "";
  if(dataLen == 1) {
    toStr = "{ " + String(data[0]) + " }\n";
  } else if (dataLen > 1) {
    toStr = "{ ";
    for(int i= 0; i < dataLen; i++) { 
      toStr += String(data[i]); 
      if(i < dataLen-1) { toStr += ", "; }
    }
    toStr += " }\n";
  }
  Serial.print(toStr);
}
