/* --- LIBRARIES --- */
#include <Servo.h>
#include <MK2.h>

//Create a new motor controller: DIR1, PWM1, DIR2, PWM2
MotorController motorController(5,4,3,2);
Fans fans(A1);

int motorSpeed = 255;
unsigned long endTime = 0;
int wait = 1000;
int dir = 0;

/* ----- SETUP ----- */
void setup() {
  motorController.initialize();
  fans.initialize();
  fans.on();
}

/* --- MAIN lOOP --- */
void loop() {

  //switch directions every 1000 milliseconds
  unsigned long t = millis();
  if(t > endTime) {
    endTime = t + wait;
    dir += 1;
    
    switch(dir%4) {
    // 255 units is roughly equivalent to .18 m/s or .6 ft/s
    case 0: 
      motorController.setVelocities(motorSpeed,motorSpeed); // move forward
      break;
    case 1:
      motorController.setVelocities(-motorSpeed,-motorSpeed); // move backward
      break;
    // it takes exactly 2.25 seconds to rotate 90 degrees at full speed
    case 2:
      motorController.setVelocities(motorSpeed,-motorSpeed); // rotate right
      break;
    case 3:
      motorController.setVelocities(-motorSpeed,motorSpeed); // rotate left
      break;
    }
  }

  //update the motor speeds
  motorController.update();
  
}

